import {Material} from "./material.model";
import {LocalDate} from "js-joda";
import {Company} from "./company.model";

export class Recipe {
  constructor(
    public id: number,
    public name: string,
    public description: string,
    public sample: number,
    public approbationDate: LocalDate,
    public remark: string,
    public note: string,
    public company: Company,
    public mixes: Mix[],
    public steps: RecipeStep[]
  ) {
  }
}

export class Mix {
  constructor(
    public id: number,
    public mixType: MixType,
    public mixMaterials: MixMaterial[],
    public location: string,
  ) {
  }
}

export class MixMaterial {
  constructor(
    public id: number,
    public material: Material,
    public quantity: number
  ) {
  }
}

class MixType {
  constructor(
    public id: number,
    public name: string,
    public material: Material
  ) {
  }
}

export class RecipeStep {
  constructor(
    public id: number,
    public message: string
  ) {
  }
}
